org.apache.hadoop.yarn.server.federation.store.records.impl.pb

## Class AddApplicationHomeSubClusterResponsePBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.AddApplicationHomeSubClusterResponse
  - - org.apache.hadoop.yarn.server.federation.store.records.impl.pb.AddApplicationHomeSubClusterResponsePBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class AddApplicationHomeSubClusterResponsePBImpl
      extends AddApplicationHomeSubClusterResponse

  Protocol buffer based implementation of `AddApplicationHomeSubClusterResponse`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddApplicationHomeSubClusterResponsePBImpl()`
    `AddApplicationHomeSubClusterResponsePBImpl(org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.AddApplicationHomeSubClusterResponseProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `SubClusterId` | `getHomeSubCluster()` Get the home sub-cluster that this application has been assigned to.
    `org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.AddApplicationHomeSubClusterResponseProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setHomeSubCluster(SubClusterId homeSubCluster)` Set the home sub-cluster that this application has been assigned to.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.federation.store.records.AddApplicationHomeSubClusterResponse

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AddApplicationHomeSubClusterResponsePBImpl

          public AddApplicationHomeSubClusterResponsePBImpl()

    - #### AddApplicationHomeSubClusterResponsePBImpl

          public AddApplicationHomeSubClusterResponsePBImpl(org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.AddApplicationHomeSubClusterResponseProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.AddApplicationHomeSubClusterResponseProto getProto()

    - #### setHomeSubCluster

          public void setHomeSubCluster(SubClusterId homeSubCluster)

      Description copied from class: `AddApplicationHomeSubClusterResponse`
      Set the home sub-cluster that this application has been assigned to.
      Specified by:
        `setHomeSubCluster` in class `AddApplicationHomeSubClusterResponse`
      Parameters:
        `homeSubCluster` - the `SubClusterId` of this application's home sub-cluster

    - #### getHomeSubCluster

          public SubClusterId getHomeSubCluster()

      Description copied from class: `AddApplicationHomeSubClusterResponse`
      Get the home sub-cluster that this application has been assigned to. This may not match the `SubClusterId` in the corresponding response, if the mapping for the request's application already existed.
      Specified by:
        `getHomeSubCluster` in class `AddApplicationHomeSubClusterResponse`
      Returns:
        the `SubClusterId` of this application's home sub-cluster

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.